解决AS加载gradle时出现的Could not find com.android.tools.build:gradle:3.5.0.的错误

2019/12/07 18:54
阅读数 4.9K

 

时间:2019/12/7

 

最近在做安卓大作业时总是遇到从GitHub上下载下来的demo不能在本地Android studio中运行的问题,感觉真的被安卓中的各种版本给恶心到了,下面记录其中比较典型的一个问题.

报错如下:

Could not find com.android.tools.build:gradle:3.5.0.
Searched in the following locations:
    https://jcenter.bintray.com/com/android/tools/build/gradle/3.5.0/gradle-3.5.0.pom
    https://jcenter.bintray.com/com/android/tools/build/gradle/3.5.0/gradle-3.5.0.jar
Required by:
    project :
Add Google Maven repository and sync project
Open File

 

解决方法如下:

1.打开下图所示文件:

 

 2.注释掉release中的内容

 

 3.加入repostories

1 repositories {
2 
3             maven {
4 
5                 url "https://maven.google.com"
6 
7             }
8 
9 }

 

 

 

4.重新编译gradle

 

注:上述步骤都是在各种版本号配置好之后的措施

 

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部